.cashback-widget {
  @include size(100%);
  position: relative;

  &__wrapper {
    @include size(100%);
    border-radius: 5px;
    background-color: #f4f7f9;
    overflow: hidden;
  }

  &__content {
    @include size(100%);
    @include position(relative);
    @include flex(flex, column, nowrap);
    padding: 15px 20px;

    &-title {
      @include font(11px, 400, 1.82, 1);
      color: #323c47;
    }

    &-value {
      @include font(25px, 500, 1.6);
      color: #323c47;
    }
  }

  &__footer {
    @include size(100%);
    padding: 15px 20px;
    background-color: #e9eff4;

    &-row {
      @include size(100%);
      @include flex(flex, row, nowrap);
      &.space-between {
        justify-content: space-between;
      }
    }
  }

  &__link {
    @include font(13px, 400, 1.54);
    color: #323c47;
  }

  &__icon {
    &-arrow {
      fill: #b7c6d0;
    }

    &-faq {
      @include position(absolute, $c: (top: 15px, right: 20px));
      fill: #b7c6d0;
    }
  }
}

@media #{$desktop} {
  .cashback-widget {
    padding: 20px;
  }
}

@media #{$laptop} {
  .cashback-widget {
    padding: 20px;
  }
}

@media #{$laptop} {
  .cashback-widget {
    padding: 20px;
  }
}

@media #{$tablet} {
  .cashback-widget {
    padding: 20px;
    margin: 0;
  }
}

@media #{$mobile} {
  .cashback-widget {
    padding: 0;
    margin: 0 0 20px;
  }
}
